SDXFrameWork 0.13 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | Public Attributes | List of all members
SDX::VariadicStream Class Reference

可変数引数な文字列を処理するクラス. More...

`#include <VariadicStream.h>`

## Public Member Functions
template<typename... TStream>
| VariadicStream (TStream...文字列ストリーム)
| コンストラクタ. More...

## Public Attributes
std::vector< std::string > | StringS
| 一行ずつの文字列. More...

## Detailed Description

可変数引数な文字列を処理するクラス.

//Copyright © 2014 SDXFramework
//[License]GNU Affero General Public License, version 3
//[Contact]http://sourceforge.jp/projects/dxframework/
//フォントを作成して文字列を描画する
bool SampleFont()
{
using namespace SDX;
System::Initialise("sample", 640, 480);
//フォントの初期化
Font fontA(SystemFont::Gothic, 9, 4,false);
Font fontB(SystemFont::Mincho, 20, 4, true);
//BMPフォントを生成したり読み込む
//事前にBMPフォントを作っておくと、Android等で読み込みが早い
fontA.MakeBMPFont("data/jyouyoukannji.txt");
Image bmpFont("data/bmpfont.png");
fontA.LoadBMPFont(bmpFont, "data/jyouyoukannji.txt");
//追加BMPフォントの登録
ImagePack bmpNumber("data/number.png",10,10,1);
ImagePack bmpFont2("data/font.png", 30, 10, 3);
fontA.SetImageS("0", &bmpNumber,10);
fontA.SetImageS("a", &bmpFont2, 26);
fontA.SetImageS("A", &bmpFont2, 26);
fontA.SetImage("×", bmpFont2[26]);
fontA.SetImage("□", bmpFont2[27]);
fontA.SetImage("○", bmpFont2[28]);
fontA.SetImage("☆", bmpFont2[29]);
double angle = 0;
Screen::SetBackColor(Color::Silver);
while (System::Update())
{
angle += 0.02;
fontA.Draw({ 10 , 10 }, Color::White, "Hello○\nこん☆にちは\n今日は1234");
fontB.Draw({ 10 , 200 }, Color::Blue, "Hello○\nこん☆にちは\n今日は1234");
fontA.DrawRotate({ 300, 100 }, 1, angle, Color::White, false, "文字の回転□\nてすと1234×");
fontB.DrawRotate({ 300, 200 }, 1, angle, Color::White, false, "文字の回転□\nてすと1234×");
if (Input::key.Return.on){ break;}//Enterで終了
}
System::End();
return true;
}

## Constructor & Destructor Documentation

template<typename... TStream>

SDX::VariadicStream::VariadicStream | ( | TStream... | 文字列ストリーム | ) |
| inline

コンストラクタ.

書式指定にはiomanipを使う

## Member Data Documentation

std::vector<std::string> SDX::VariadicStream::StringS

一行ずつの文字列.